## lutok 0.4%2Bdfsg

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,repack,compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$// \
https://github.com/jmmv/lutok/tags .*/lutok-(\d\S+)\.tar\.gz
