=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --without=autoreconf

override_dh_auto_configure:
	./configure --disable-silent-rules --disable-maintainer-mode      \
		--disable-dependency-tracking --build=$(DEB_BUILD_GNU_TYPE)     \
		--host=$(DEB_HOST_GNU_TYPE)                                     \
		--prefix=/usr --includedir=/usr/include                         \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)                         \
		--docdir=/usr/share/doc/liblutok3                               \
		--htmldir=/usr/share/doc/liblutok-doc/html

override_dh_missing:
	dh_missing --fail-missing
