## lutok 0.6.2

=== debian/changelog ===
lutok (0.6.2-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 0.6.2 (Closes: #1124279)
  * Build doc package from source
  * Build with lua5.4
  * Repacking is no longer necessary

 -- Bastian Germann <bage@debian.org>  Mon, 29 Dec 2025 23:43:20 +0100
