=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: lutok
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nicolas Braud-Santoni <nicoo@debian.org>
+Maintainer: Nicolas Braud-Santoni <nicoo@debian.org>
 Build-Depends: debhelper-compat (= 12), pkg-config,
-               lua5.1, liblua5.1-0-dev
+ liblua5.4-dev
+Build-Depends-Indep:
+ doxygen <!nodoc>,
+ graphviz <!nodoc>
 Standards-Version: 4.4.1
 Section: libs
 Homepage: https://github.com/jmmv/lutok/
@@ -14,7 +16,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: liblutok3 (= ${binary:Version}), liblua5.1-0-dev, ${misc:Depends}
+Depends: liblutok3 (= ${binary:Version}), liblua5.4-dev, ${misc:Depends}
 Description: lightweight C++ API library for Lua -- development files
  Lutok provides thin C++ wrappers around the Lua C API to ease the
  interaction between C++ and Lua.  These wrappers make intensive use of
@@ -35,6 +37,7 @@
 Package: liblutok-doc
 Section: doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: liblutok-dev (= ${binary:Version})
