=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,10 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ --without=autoreconf
+	dh $@
 
 override_dh_auto_configure:
-	./configure --disable-silent-rules --disable-maintainer-mode      \
+	./configure --disable-silent-rules                                      \
 		--disable-dependency-tracking --build=$(DEB_BUILD_GNU_TYPE)     \
 		--host=$(DEB_HOST_GNU_TYPE)                                     \
 		--prefix=/usr --includedir=/usr/include                         \
