=== debian/watch ===
version=4
https://github.com/jmmv/lutok/tags .*/lutok-(\d\S+)\.tar\.gz
